package com.onsiteservice.common.annotation.sql;

import java.lang.annotation.*;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD, ElementType.TYPE})
@Inherited
@Documented
public @interface FieldCondition {
    String value() default "";
    /**
     * 比较方法
     */
    ConditionEnum rel() default ConditionEnum.NONE;

    /**
     * 字段名称
     */
    String column() default "";

    /**
     * 查询别名
     */
    String alias() default "";

}
