package com.onsiteservice.admin.mapper.base;


import com.onsiteservice.admin.controller.base.dto.BaseErrorDTO;
import com.onsiteservice.common.annotation.sql.AutoCondition;
import com.onsiteservice.dao.common.page.PageParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author 王鑫
 * @date 2021-04-25 15:48
 * BaseErrorLogBizMapper业务接口
 */
public interface BaseErrorLogBizMapper {
    /**
     * 分页查询列表
     */
    @AutoCondition
    List<Map> getPage(@Param("param") BaseErrorDTO param);
}
