package com.onsiteservice.common.annotation.sql;

import java.lang.annotation.*;

/**
 * 用于Mybatis Mapper, 根据参数自动生成查询条件
 * 仅检查第一个参数
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
@Inherited
@Documented
public @interface AutoCondition {
}
