package com.onsiteservice.common.annotation.sql;

import lombok.Getter;

public enum ConditionEnum {
    NONE(""),
    /**
     * 等于
     */
    EQ("="),
    /**
     * 大于
     */
    GT(">"),
    /**
     * 小于
     */
    LT("<"),
    /**
     * 大于等于
     */
    GTEQ(">="),
    /**
     * 小于等于
     */
    LTEQ("<="),
    /**
     * 左右模糊
     */
    LIKE("like");

    @Getter
    private final String operator;

    ConditionEnum(String operator) {
        this.operator = operator;
    }

}
